<script type="text/javascript">
 import axios from 'axios';
 import { onMount } from 'svelte';

 var email = "roumin@protonmail.com";
 var base_url = 'http://ec2-52-91-147-204.compute-1.amazonaws.com:5000';
 let zona_seleccionada = 0;
 let carrera_seleccionada = 0;
 let nombres = "";
 let apellidos = "";

 let carreras = [];

 let zonas =[];

 onMount(async ()=>{
     let url = `${base_url}/zonas`;
     axios.get(url)
          .then(response =>{
              zonas = response.data;
              zonas.unshift({id:0, nombre:"Seleccione una opcion"});
          });
     url = `${base_url}/carreras`;
     axios.get(url)
          .then(response =>{
              carreras = response.data;
              carreras.unshift({id:0, nombre:"Seleccione una opcion"});
          });
 });

 function checkForm(){
	 if(nombres == ""){
		 alert("Tiene que llenar el campo de nombre");
		 return false;
	 }
	 if(apellidos == ""){
		 alert("Tiene que llenar el campo de apellido");
		 return false
	 }
	 if(zona_seleccionada == 0){
		 alert("Tiene que llenar el campo de zona");
		 return false;
	 }
	 if(carrera_seleccionada == 0){
		 alert("Tiene que llenar el campo de carrera");
		 return false;
	 }
	 return true;
 }

 function send(){
	 if(checkForm()){
		 const url = `${base_url}/aspirantes/new`;
         axios.post(url,{
             zona:zona_seleccionada,
			 carrera:carrera_seleccionada,
			 nombres:nombres,
			 apellidos:apellidos
         })
              .then(response =>{
                  console.log(response.status);
              })
         alert("Datos enviados exitosamente");
	 }
 }

 function send_email(){
     const url = `${base_url}/aspirantes/send/list`;
     axios.post(url, {email:email})
          .then(response =>{
              console.log(response.status);
          });
     alert("Correo enviado exitosamente a "+email);
 }

</script>

<svelte:head>
	<title>EAFIT-Encuestas</title>
</svelte:head>
<br/>
<form on:submit|preventDefault={send} class="w-full border shadow-xl rounded p-12">
    <div class="flex flex-wrap -mx-3 mb-6">
	    <div class="w-full md:w-1/2 px-3 mb-6 md:mb-0">
	        <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="grid-first-name">
		        Nombre
	        </label>
	        <input bind:value={nombres} class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="grid-first-name" type="text" placeholder="Jane">
	    </div>
	    <div class="w-full md:w-1/2 px-3">
	        <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="grid-last-name">
		        Apellido
	        </label>
	        <input bind:value={apellidos} class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="grid-last-name" type="text" placeholder="Doe">
	    </div>
    </div>
    <div class="flex flex-wrap -mx-3 mb-2">
	    <div class="w-full md:w-1/2 px-3 mb-6 md:mb-0">
	        <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="grid-zona">
		        Zona
	        </label>
	        <div class="relative">
		        <select bind:value={zona_seleccionada} class="block appearance-none w-full bg-gray-200 border border-gray-200 text-gray-700 py-3 px-4 pr-8 rounded leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="grid-zona">
			        {#each zonas as zona}
				        <option value={zona.id}>{zona.nombre}</option>
			        {/each}
		        </select>
		        <div class="pointer-events-none absolute inset-y-0 right-0 flex items-center px-2 text-gray-700">
		            <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z"/></svg>
		        </div>
	        </div>
	    </div>
	    <div class="w-full md:w-1/2 px-3 mb-6 md:mb-0">
	        <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="grid-carrera">
		        Carrera
	        </label>
	        <div class="relative">
		        <select bind:value={carrera_seleccionada} class="block appearance-none w-full bg-gray-200 border border-gray-200 text-gray-700 py-3 px-4 pr-8 rounded leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="grid-carrera">
			        {#each carreras as carrera}
				        <option value={carrera.id}>{carrera.nombre}</option>
			        {/each}
		        </select>
		        <div class="pointer-events-none absolute inset-y-0 right-0 flex items-center px-2 text-gray-700">
			        <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z"/></svg>
		        </div>
	        </div>
	    </div>
    </div>
    <div class="justify-center flex">
	    <input type="submit" value="Enviar" class="w-2/3 mt-5 py-3 align-center bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded"/>
    </div>
</form>
<div class="justify-center flex">
    <button on:click={send_email} class="w-2/3 align-center py-3 my-12 bg-blue-500 hover:bg-blue-700 text-white font-bold rounded" >Enviar correo</button>
</div>
